Subject: 29.0.50; Pure space overflow warning

From: Arash Esbati <[email-masked]>
Date: Fri, 05 Aug 2022 17:36:29 +0200

Hi all,

I updated Emacs from master (5426f67006) and get the following in
splash:

  Warning Warning!!!  Pure space overflow    !!!Warning Warning
  (See the node Pure Storage in the Lisp manual for details.)

I'm not preloading any additional libraries or add additional features,
I build Emacs on Win10 with Mingw64 with a small script which looks like
this:

  git clean -fdx --exclude=ChangeLog
  ./autogen.sh &&              \
  CPPFLAGS='-DNDEBUG'          \
  CFLAGS='-O3 -g0 -pipe'       \
  LDFLAGS='-s -Wl,-s'          \
  ./configure                  \
  --host=x86_64-w64-mingw32    \
  --target=x86_64-w64-mingw32  \
  --build=x86_64-w64-mingw32   \
  --prefix=/z/path             \
  --with-jpeg                  \
  --with-gif                   \
  --with-xpm                   \
  --with-png                   \
  --with-tiff                  \
  --with-rsvg                  \
  --with-webp                  \
  --with-sqlite3               \
  --with-xml2                  \
  --with-gnutls                \
  --with-lcms2                 \
  --with-modules               \
  --with-threads               \
  --with-native-compilation    \
  --with-native-image-api      \
  --with-xdbe                  \
  --without-imagemagick        \
  --without-dbus               \
  --without-gconf              \
  --without-gsettings          \
  --without-compress-install   \
  --without-mailutils          \
  --without-pop  &&            \
  make && make install

Am I missing something?

Best, Arash